//==========================================================================
// ライト[Light.h]
// author: tatuya ogawa
//==========================================================================
#ifndef _Light_H_
#define _Light_H_

//==========================================================================
// include
//==========================================================================
#include <Windows.h>
#include <d3d9.h>
#include <d3dx9.h>

//==========================================================================
//
// class  : CLight
// Content: ライト 
//
//==========================================================================
class CLight
{
private:
	D3DLIGHT9 m_aLight; // ライト
public:
	CLight();
	~CLight();
	// 初期化
	void Init(D3DXVECTOR3 aVecDir);
};

#endif // !_Light_H_
